## com.bbn.openmap.layer.link.shape
Interface ESRILinkRecord

All Known Implementing Classes:
  ESRILinkPointRecord, ESRILinkPolygonRecord

public interface ESRILinkRecord

Method Summary
`void` `writeLinkGraphics(LinkGraphicList lgl, LinkProperties properties)` Writes the record to the given list.

Method Detail

### writeLinkGraphics

    public void writeLinkGraphics(LinkGraphicList lgl,
                                  LinkProperties properties)
                           throws java.io.IOException

  Writes the record to the given list.

  Copy the poly points array because the OMPoly converts from degrees to radians in place, trashing the shape.

  Parameters:
    `lgl` - the graphics response of the link to write the object to.
    `properties` - the properties of the polys
  Throws:
    `java.io.IOException`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details